import { DeleteConnectionCommandInput, DeleteConnectionCommandOutput, GetConnectionCommandInput, GetConnectionCommandOutput, PostToConnectionCommandInput, PostToConnectionCommandOutput } from "@aws-sdk/client-apigatewaymanagementapi";
import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import * as Effect from "@effect/io/Effect";
import { ForbiddenError, GoneError, LimitExceededError, PayloadTooLargeError, SdkError } from "./Errors";
export interface ApiGatewayManagementApiService {
    /**
     * @see {@link DeleteConnectionCommand}
     */
    deleteConnection(args: DeleteConnectionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GoneError | ForbiddenError | LimitExceededError, DeleteConnectionCommandOutput>;
    /**
     * @see {@link GetConnectionCommand}
     */
    getConnection(args: GetConnectionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GoneError | ForbiddenError | LimitExceededError, GetConnectionCommandOutput>;
    /**
     * @see {@link PostToConnectionCommand}
     */
    postToConnection(args: PostToConnectionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GoneError | ForbiddenError | LimitExceededError | PayloadTooLargeError, PostToConnectionCommandOutput>;
}
export declare const BaseApiGatewayManagementApiServiceEffect: Effect.Effect<import("@aws-sdk/client-apigatewaymanagementapi").ApiGatewayManagementApiClient, never, ApiGatewayManagementApiService>;
export declare const ApiGatewayManagementApiServiceEffect: Effect.Effect<import("./Context").ApiGatewayManagementApiClientOptions, never, ApiGatewayManagementApiService>;
export declare const DefaultApiGatewayManagementApiServiceEffect: Effect.Effect<never, never, ApiGatewayManagementApiService>;
